IF NOT EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'Data.Application.UploadFile')
BEGIN
	CREATE TABLE [Data.Application.UploadFile]
	(
		Id BIGINT NOT NULL PRIMARY KEY,
		UserId BIGINT NOT NULL,
		SchemaType INT NOT NULL,
		[Status] INT NOT NULL,
		RecordTypeName NVARCHAR(900),
		CreatedOn DATETIME NOT NULL,
		UpdatedOn DATETIME NULL,
		ProcessingState INT NOT NULL,
		[FileName] NVARCHAR(250) NOT NULL, 
		[FileType] INT NOT NULL, 
		CustomInformation NVARCHAR(1000) NULL,
		[FileData] VARBINARY(MAX) NULL
	)
END
GO

IF NOT EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'Data.Application.UploadRecord')
BEGIN
	CREATE TABLE [Data.Application.UploadRecord]
	(
		Id BIGINT NOT NULL PRIMARY KEY,
		UploadFileId BIGINT NOT NULL FOREIGN KEY REFERENCES [Data.Application.UploadFile] (Id),
		RecordNumber INT NOT NULL,
		[Status] INT NOT NULL,
		ValidationMessage NVARCHAR(250) NOT NULL,
		FieldValidation NVARCHAR(2000) NOT NULL,
		FieldData NVARCHAR(MAX) NOT NULL
	)
END
GO